import 'package:flutter/material.dart';
import '../page/access_page.dart';
import '../page/home_page.dart';
import '../page/webview_page.dart';

class Routers {
  static const home = '/home';
  static const webView = '/webView';
  static const access = '/access';

  static Map<String, WidgetBuilder> getRouters = {
    home: (BuildContext context) => const HomePage(),
    webView: (BuildContext context) => const WebViewPage(),
    access: (BuildContext context) => LoginPage(),
  };
}
