package com.aicc.livechat_sdk_flutter.listener;

import android.os.Handler;
import android.os.Looper;

/**
 * @ProjectName: android
 * @ClassName: TEventListenerHandle
 * @Author: zhangping
 * @CreateDate: 2023/3/9 15:45
 * @Description: 描述说明
 */
public abstract class TEventChannelListener {

    private static Handler mMainHandler = new Handler(Looper.getMainLooper());

    public abstract void onEvent(String eventName, String eventContent);

    public final void onEventHandler(final String eventName, final String object) {
        mMainHandler.post(new Runnable() {
            public void run() {
                TEventChannelListener.this.onEvent(eventName,object);
            }
        });
     }

    public final void onEventHandler(final String eventName, String eventType, final String object) {
        mMainHandler.post(new Runnable() {
            public void run() {
                TEventChannelListener.this.onEvent(eventName,object);
            }
        });
    }

}
