package com.aicc.livechat_sdk_flutter.listener;

/**
 * @ProjectName: android
 * @ClassName: TIMBaseManager
 * @Author: zhangping
 * @CreateDate: 2023/3/13 11:08
 * @Description: 描述说明
 */
public class TListenerManager {

    private TEventChannelListener mTEventChannelListener;

    public void setTEventChannelListener(TEventChannelListener listener) {
        mTEventChannelListener = listener;
    }

    public TEventChannelListener getTEventChannelListener() {
        return mTEventChannelListener;
    }

    public void removeTEventChannelListener() {
        mTEventChannelListener = null;
    }

    static class SingletonHolder {
        static TListenerManager sInstance = new TListenerManager();

        SingletonHolder() {
        }
    }

    public static TListenerManager getInstance() {
        return SingletonHolder.sInstance;
    }
}
