// 全局配置
import 'dart:ui';

import 'package:flutter/material.dart';

class Config {
  static const String apiUrlDefaultValue =
      'https://octopus-api-1.vlink.cn/api/sdk/v1';

  static const String onlineUrlDefaultValue = 'https://chat-app-bj.clink.cn';

  //初始化SDK默认参数
  static const initPluginDefaultParameters = {
    "enterpriseId": '8000002',
    "accessId": "8758096679544ff189d4a9457747f109",
    "accessSecret": "72EBF29CB4614F7AB404EEC07BFF0B1B",
    "apiUrl": apiUrlDefaultValue,
    "onlineUrl": onlineUrlDefaultValue,
    "debug": true,
  };

  //连接SDK默认参数
  static const enterSessionDefaultParameters = {
    "advanceParams": {
      "enableMqtt": false,
    },
    "title": "在线客服",
    "cardInfo": {
      "subTitle": "华为P40麒麟990 5G SoC芯片 5000万超感知徕卡三摄 30倍数字变焦",
      "description": "这是商品描述，啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦",
      "price": "￥ 100",
      "time": "2022年3月1日",
      "img":
          "https://img1.baidu.com/it/u=1963848283,2056721126&fm=253&fmt=auto&app=120&f=JPEG?w=500&h=500",
      "status": "已到货",
      "extraInfo":
          "[{\"name\":\"订单号\",\"value\":\"13049234802304\"},{\"name\":\"服务地区\",\"value\":\"北京市\"},{\"name\":\"服务\",\"value\":\"满意\"},{\"name\":\"产品类型\",\"value\":\"电子产品\"}]"
    }
  };

  //集成文档链接
  static const String integrationDocumentUrl =
      "https://develop.clink.cn/develop/mobile/chat-mobile.html#_android%E5%BC%80%E5%8F%91%E6%96%87%E6%A1%A3";

  /// 公共主题颜色配置
  static const Color primaryColor = Color(0xFF3683D2);
  static const Color primarySwatchColor = Color(0xFF0d4279);
}
