
import 'livechat_sdk_flutter_platform_interface.dart';

class LivechatSdkFlutter {
  Future<bool?> initPlugin(params){
    return LivechatSdkFlutterPlatform.instance.initPlugin(params);
  }

  Future<bool?> enterSession(params){
    return LivechatSdkFlutterPlatform.instance.enterSession(params);
  }

  Future<bool?> disConnect() async {
    return LivechatSdkFlutterPlatform.instance.disConnect();
  }

  Future<String?> getCurrentUserInfo() async {
    return LivechatSdkFlutterPlatform.instance.getCurrentUserInfo();
  }

  Future<String?> getCurrentSessionInfo() async {
    return LivechatSdkFlutterPlatform.instance.getCurrentSessionInfo();
  }

  Future<int?> getCurrentOnlineStatus() async {
    return LivechatSdkFlutterPlatform.instance.getCurrentOnlineStatus();
  }

  Future<bool?> updateSessionWindowQuickEntry(params) async {
    return LivechatSdkFlutterPlatform.instance.updateSessionWindowQuickEntry(params);
  }

  Future<String?> getSdkVersion() async {
    return LivechatSdkFlutterPlatform.instance.getSdkVersion();
  }

  void listen(void Function(dynamic event)? onData,
      {Function? onError, void Function()? onDone, bool? cancelOnError}){
    LivechatSdkFlutterPlatform.instance.listen(onData, onError: onError,onDone: onDone,cancelOnError: cancelOnError);
  }

}
